<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="wangdaye.com.geometricweather">

    <!-- location SDKs. -->
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <uses-permission android:name="android.permission.READ_LOGS"
        tools:ignore="ProtectedPermissions" />

    <!-- required by Google Play Store. -->
    <uses-permission android:name="android.permission.INSTANT_APP_FOREGROUND_SERVICE"
        tools:ignore="ProtectedPermissions" />

    <application
        android:requestLegacyExternalStorage="true"
        tools:ignore="AllowBackup,UnusedAttribute">

        <meta-data
            android:name="com.amap.api.v2.apikey"
            android:value="d0c7b8cb40629a2061fa2fce08659d24" />
        <service
            android:name="com.amap.api.location.APSService"
            android:networkSecurityConfig="@xml/network_security_config" />

        <meta-data
            android:name="com.baidu.lbsapi.API_KEY"
            android:value="8Ag8g9warGQeUVFbqx4LRrXU" />
        <service
            android:name="com.baidu.location.f"
            android:enabled="true"
            android:process=":remote"
            android:networkSecurityConfig="@xml/network_security_config" />

    </application>

</manifest>